let data = [15, 30, 20, 18, 22];

let svg = d3.select("#basics") // single element that will contain the joined HTML/SVG elements
    .append("svg") // describes the type of element we are joining
    .attr("width", 600)
    .attr("height", 400)

svg.append("g") // parent element
    .selectAll("circle") // type of element that will be joined
    .data(data)
    .join("circle") // performs the data join
    .attr("cx", 60)
    .attr("cy", 40)
    .attr("r", 15)

svg.append("g")
    .selectAll("circle")
    .data(data)
    .join("circle")
    .attr("cx", (d, i) => (i+1)*60) // explain i - index of element within selection
    .attr("cy", 120)
    .attr("r", (d, i) => d) // explain d - joined data
    .style("fill", "brown")

svg.select("g")
    .selectAll("rect")
    .data(data)
    .join("rect")
    .attr("x", (d, i) => (i+1)*60)
    .attr("y", 200)
    .attr("height", 40)
    .attr("width", 40)
